tbb::atomic< void * > Struct Template Reference

Specialization for atomic<void*>, for sake of not allowing arithmetic or operator->. More...

`#include <atomic.h>`

Inheritance diagram for tbb::atomic< void * >:

## Public Member Functions

constexpr | atomic (void *arg)
void * | operator= (void *rhs)
atomic< void * > & | operator= (const atomic< void * > &rhs)

## Detailed Description

### template<>
struct tbb::atomic< void * >

Specialization for atomic<void*>, for sake of not allowing arithmetic or operator->.

The documentation for this struct was generated from the following file:

- atomic.h

Copyright © 2005-2017 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.